Manifest-Version: 1.0
Bnd-LastModified: 1754080262959
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Commerce Product Type Grouped Service
Bundle-SymbolicName: com.liferay.commerce.product.type.grouped.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 4.0.41.hotfix-6834-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.commerce.product.exception;version="12.6",
 com.liferay.commerce.product.model;version="22.1",com.liferay.commerc
 e.product.service;version="38.2",com.liferay.commerce.product.type.gr
 ouped.exception;version="1.1",com.liferay.commerce.product.type.group
 ed.model;version="4.1",com.liferay.commerce.product.type.grouped.serv
 ice;version="2.5",com.liferay.commerce.product.type.grouped.service.p
 ersistence;version="2.2",com.liferay.commerce.product.util;version="2
 3.0",com.liferay.counter.kernel.service;version="2.2",com.liferay.exp
 ando.kernel.model;version="6.0",com.liferay.expando.kernel.util;versi
 on="5.0",com.liferay.exportimport.kernel.lar;version="5.0",com.lifera
 y.petra.lang;version="1.3",com.liferay.petra.sql.dsl;version="1.2",co
 m.liferay.petra.sql.dsl.query;version="2.0",com.liferay.petra.string;
 version="1.7",com.liferay.portal.aop;version="1.0",com.liferay.portal
 .kernel.bean;version="10.1",com.liferay.portal.kernel.configuration;v
 ersion="7.0",com.liferay.portal.kernel.dao.db;version="14.0",com.life
 ray.portal.kernel.dao.jdbc;version="9.0",com.liferay.portal.kernel.da
 o.orm;version="12.0",com.liferay.portal.kernel.exception;version="13.
 3",com.liferay.portal.kernel.json;version="12.1",com.liferay.portal.k
 ernel.language;version="11.0",com.liferay.portal.kernel.log;version="
 8.0",com.liferay.portal.kernel.model;version="30.4",com.liferay.porta
 l.kernel.model.impl;version="7.4",com.liferay.portal.kernel.module.fr
 amework.service;version="1.0",com.liferay.portal.kernel.search;versio
 n="20.2",com.liferay.portal.kernel.search.filter;version="1.0",com.li
 feray.portal.kernel.security.auth;version="6.1",com.liferay.portal.ke
 rnel.security.permission;version="7.0",com.liferay.portal.kernel.secu
 rity.permission.resource;version="2.3",com.liferay.portal.kernel.serv
 ice;version="25.1",com.liferay.portal.kernel.service.http;version="1.
 0",com.liferay.portal.kernel.service.persistence;version="22.1",com.l
 iferay.portal.kernel.service.persistence.impl;version="4.1",com.lifer
 ay.portal.kernel.transaction;version="8.1",com.liferay.portal.kernel.
 upgrade;version="21.2",com.liferay.portal.kernel.util;version="63.0",
 com.liferay.portal.kernel.uuid;version="6.2",com.liferay.portal.searc
 h.batch;version="2.0",com.liferay.portal.search.indexer;version="2.1"
 ,com.liferay.portal.search.query;version="1.7",com.liferay.portal.sea
 rch.spi.model.index.contributor;version="1.2",com.liferay.portal.sear
 ch.spi.model.index.contributor.helper;version="1.0",com.liferay.porta
 l.search.spi.model.query.contributor;version="1.1",com.liferay.portal
 .search.spi.model.query.contributor.helper;version="2.0",com.liferay.
 portal.search.spi.model.registrar;version="2.1",com.liferay.portal.se
 arch.spi.model.registrar.contributor;version="1.0",com.liferay.portal
 .search.spi.model.result.contributor;version="1.1",com.liferay.portal
 .upgrade.registry;version="5.0",javax.sql,org.osgi.framework;version=
 "1.8"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Commerce
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: commerce
Liferay-Releng-Suite-Description: This suite is available in the Lifer
 ay bundle.
Liferay-Releng-Suite-Title: Liferay Commerce
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 1.2.1
Liferay-Service: true
Private-Package: com.liferay.commerce.product.type.grouped.internal.se
 arch,com.liferay.commerce.product.type.grouped.internal.search.spi.mo
 del.index.contributor,com.liferay.commerce.product.type.grouped.inter
 nal.search.spi.model.query.contributor,com.liferay.commerce.product.t
 ype.grouped.internal.search.spi.model.result.contributor,com.liferay.
 commerce.product.type.grouped.internal.upgrade.registry,com.liferay.c
 ommerce.product.type.grouped.internal.upgrade.v1_1_0,com.liferay.comm
 erce.product.type.grouped.internal.util,com.liferay.commerce.product.
 type.grouped.model.impl,com.liferay.commerce.product.type.grouped.ser
 vice.base,com.liferay.commerce.product.type.grouped.service.http,com.
 liferay.commerce.product.type.grouped.service.impl,com.liferay.commer
 ce.product.type.grouped.service.persistence.impl,com.liferay.commerce
 .product.type.grouped.service.persistence.impl.constants
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .commerce.product.type.grouped.internal.search.CPDefinitionGroupedEnt
 ryBatchReindexer";uses:="com.liferay.commerce.product.type.grouped.in
 ternal.search",osgi.service;objectClass:List<String>="com.liferay.com
 merce.product.type.grouped.service.persistence.CPDefinitionGroupedEnt
 ryPersistence";uses:="com.liferay.commerce.product.type.grouped.servi
 ce.persistence",osgi.service;objectClass:List<String>="com.liferay.co
 mmerce.product.util.CPVersionContributor";uses:="com.liferay.commerce
 .product.util",osgi.service;objectClass:List<String>="com.liferay.por
 tal.aop.AopService";uses:="com.liferay.portal.aop",osgi.service;objec
 tClass:List<String>="com.liferay.portal.kernel.dao.orm.ArgumentsResol
 ver";uses:="com.liferay.portal.kernel.dao.orm",osgi.service;objectCla
 ss:List<String>="com.liferay.portal.kernel.search.BaseSearcher";uses:
 ="com.liferay.portal.kernel.search",osgi.service;objectClass:List<Str
 ing>="com.liferay.portal.search.spi.model.index.contributor.ModelDocu
 mentContributor";uses:="com.liferay.portal.search.spi.model.index.con
 tributor",osgi.service;objectClass:List<String>="com.liferay.portal.s
 earch.spi.model.index.contributor.ModelIndexerWriterContributor";uses
 :="com.liferay.portal.search.spi.model.index.contributor",osgi.servic
 e;objectClass:List<String>="com.liferay.portal.search.spi.model.query
 .contributor.KeywordQueryContributor";uses:="com.liferay.portal.searc
 h.spi.model.query.contributor",osgi.service;objectClass:List<String>=
 "com.liferay.portal.search.spi.model.query.contributor.ModelPreFilter
 Contributor";uses:="com.liferay.portal.search.spi.model.query.contrib
 utor",osgi.service;objectClass:List<String>="com.liferay.portal.searc
 h.spi.model.result.contributor.ModelSummaryContributor";uses:="com.li
 feray.portal.search.spi.model.result.contributor",osgi.service;object
 Class:List<String>="com.liferay.portal.upgrade.registry.UpgradeStepRe
 gistrator";uses:="com.liferay.portal.upgrade.registry",osgi.service;o
 bjectClass:List<String>="com.liferay.commerce.product.type.grouped.se
 rvice.CPDefinitionGroupedEntryLocalService",osgi.service;objectClass:
 List<String>="com.liferay.commerce.product.type.grouped.service.CPDef
 initionGroupedEntryService"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=osgi.compo
 nent)(version>=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(obj
 ectClass=com.liferay.commerce.product.service.CPDefinitionLocalServic
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 commerce.product.service.CProductLocalService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.commerce.product.service.
 CommerceCatalogLocalService)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.commerce.product.type.grouped.service.CPDef
 initionGroupedEntryLocalService)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.commerce.product.type.grouped.service.p
 ersistence.CPDefinitionGroupedEntryPersistence)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.counter.kernel.service.C
 ounterLocalService)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.portal.kernel.configuration.Configuration)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kerne
 l.dao.orm.EntityCache)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.kernel.dao.orm.FinderCache)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.dao
 .orm.SessionFactory)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.language.Language)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.search.
 IndexerRegistry)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.kernel.security.permission.resource.ModelResourc
 ePermission)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.service.UserLocalService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.kernel.util.Loc
 alization)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.kernel.uuid.PortalUUID)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.search.batch.DynamicQueryB
 atchIndexingActionableFactory)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.search.indexer.IndexerDocumentBuil
 der)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.search.indexer.IndexerWriter)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.search.query.QueryHelper)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.search.spi.model.index.contributor.ModelIndexerWriterContributor)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.search.spi.model.registrar.ModelSearchRegistrarHelper)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.portal.searc
 h.spi.model.result.contributor.ModelSummaryContributor)";effective:=a
 ctive,osgi.service;filter:="(objectClass=javax.sql.DataSource)";effec
 tive:=active,osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.commerce.product.type.grouped.
 internal.search.CPDefinitionGroupedEntryBatchReindexerImpl.xml,OSGI-I
 NF/com.liferay.commerce.product.type.grouped.internal.search.CPDefini
 tionGroupedEntrySearchRegistrar.xml,OSGI-INF/com.liferay.commerce.pro
 duct.type.grouped.internal.search.CPDefinitionGroupedEntrySearcher.xm
 l,OSGI-INF/com.liferay.commerce.product.type.grouped.internal.search.
 spi.model.index.contributor.CPDefinitionGroupedEntryModelDocumentCont
 ributor.xml,OSGI-INF/com.liferay.commerce.product.type.grouped.intern
 al.search.spi.model.index.contributor.CPDefinitionGroupedEntryModelIn
 dexerWriterContributor.xml,OSGI-INF/com.liferay.commerce.product.type
 .grouped.internal.search.spi.model.query.contributor.CPDefinitionGrou
 pedEntryKeywordQueryContributor.xml,OSGI-INF/com.liferay.commerce.pro
 duct.type.grouped.internal.search.spi.model.query.contributor.CPDefin
 itionGroupedEntryModelPreFilterContributor.xml,OSGI-INF/com.liferay.c
 ommerce.product.type.grouped.internal.search.spi.model.result.contrib
 utor.CPDefinitionGroupedEntryModelSummaryContributor.xml,OSGI-INF/com
 .liferay.commerce.product.type.grouped.internal.upgrade.registry.Comm
 erceProductTypeGroupedServiceUpgradeStepRegistrator.xml,OSGI-INF/com.
 liferay.commerce.product.type.grouped.internal.util.CPDefinitionGroup
 edEntryCPVersionContributor.xml,OSGI-INF/com.liferay.commerce.product
 .type.grouped.service.impl.CPDefinitionGroupedEntryLocalServiceImpl.x
 ml,OSGI-INF/com.liferay.commerce.product.type.grouped.service.impl.CP
 DefinitionGroupedEntryServiceImpl.xml,OSGI-INF/com.liferay.commerce.p
 roduct.type.grouped.service.persistence.impl.CPDefinitionGroupedEntry
 ModelArgumentsResolver.xml,OSGI-INF/com.liferay.commerce.product.type
 .grouped.service.persistence.impl.CPDefinitionGroupedEntryPersistence
 Impl.xml
Tool: Bnd-5.3.0.202102221516

